
Foreman - Bug #3202

Orphaned records migration should use delete_all for speed

10/04/2013 03:16 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: DB migrations   

Target version: 1.3.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The orphaned records migration added in #2400 used destroy instead of delete, but we can switch for more speed.

https://github.com/theforeman/foreman/pull/877

Related issues:

Related to Foreman - Feature #2400: Add foreign keys on database level Closed 04/15/2013

Associated revisions

Revision c520fc00 - 10/04/2013 03:17 PM - Joseph Magen

fixes #3202 - PG constraints deferred and change destroy_all to delete_all

Revision 601a3e9d - 10/07/2013 02:48 PM - Joseph Magen

fixes #3202 - PG constraints deferred and change destroy_all to delete_all

(cherry picked from commit c520fc00e8038603f07df5b535a19488e40e5c71)

History

#1 - 10/04/2013 03:16 PM - Dominic Cleal

- Related to Feature #2400: Add foreign keys on database level added

#2 - 10/04/2013 03:18 PM - Dominic Cleal

- Related to Tracker #3112: [TRACKER] Issues to be released in 1.3 RC or final added

#3 - 10/05/2013 04:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c520fc00e8038603f07df5b535a19488e40e5c71.

#4 - 10/07/2013 03:07 PM - Lukas Zapletal

- Related to deleted (Tracker #3112: [TRACKER] Issues to be released in 1.3 RC or final)
